.docker-certificates:
  before_script:
    - "if [ -z $DOCKER_TLS_CA ]; then false;fi"
    - echo "$DOCKER_TLS_CA" > ~/.docker/ca.pem
    - echo "$DOCKER_TLS_CERT" > ~/.docker/cert.pem
    - echo "$DOCKER_TLS_KEY" > ~/.docker/key.pem

deploy:elastic:
  stage: deploy
  variables:
    DOCKER_HOST: "tcp://elastic.rmt:2376"
    DOCKER_TLS_VERIFY: 1
  script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
    - docker-compose pull
    - docker-compose down
    - docker-compose rm -sf
    - docker-compose up -d
  extends:
    - .docker-certificates
  when: manual
